#!/usr/bin/perl

# Questo script calcola qual' il browser pi usato
# Analizzando un file di log nel formato generato da Apache Web Server

# Mettere in $ARGV[0] il nome del file che si vuole visualizzare
open(FILE,$ARGV[0]);

#La colonna dove si trova l'informazione circa lo User Agent 
# User Agent = Stringa identificativa del browser usato
$i = 11;

#L'utente che vogliamo notificare per e-mail
$utente = "ciccio@pasticcio.it";

foreach $linea (<FILE>)
{
     @pezzo = split(" ",$linea);
     # substr serve a eliminare i doppi apici all'inizio della stringa.
     $stat{substr($pezzo[$i],1,length($pezzo[$i]))}++;  
}
close FILE;

$comando = "mail -s ANALISILOG $utente";

#Apre FILE non su un vero file, ma come pipe su $comando
open (FILE,"|$comando");
foreach $linea (sort keys %stat)
{
    print FILE "$linea=$stat{$linea}\n";
}
close FILE;

